# Uses of Class
org.springframework.beans.factory.support.MethodOverrides

Packages that use MethodOverrides
Package
Description
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.
org.springframework.beans.factory.xml
Contains an abstract XML-based `BeanFactory` implementation, including a standard "spring-beans" XSD.

## Uses of MethodOverrides in org.springframework.beans.factory.support

Methods in org.springframework.beans.factory.support that return MethodOverrides
Modifier and Type
Method
Description
`MethodOverrides`
AbstractBeanDefinition.`getMethodOverrides()`
Return information about methods to be overridden by the IoC container.
Methods in org.springframework.beans.factory.support with parameters of type MethodOverrides
Modifier and Type
Method
Description
`void`
MethodOverrides.`addOverrides(MethodOverrides other)`
Copy all given method overrides into this object.
`void`
AbstractBeanDefinition.`setMethodOverrides(MethodOverrides methodOverrides)`
Specify method overrides for the bean, if any.
Constructors in org.springframework.beans.factory.support with parameters of type MethodOverrides
Modifier
Constructor
Description
``
`MethodOverrides(MethodOverrides other)`
Deep copy constructor.

## Uses of MethodOverrides in org.springframework.beans.factory.xml

Methods in org.springframework.beans.factory.xml with parameters of type MethodOverrides
Modifier and Type
Method
Description
`void`
BeanDefinitionParserDelegate.`parseLookupOverrideSubElements(Element beanEle, MethodOverrides overrides)`
Parse lookup-override sub-elements of the given bean element.
`void`
BeanDefinitionParserDelegate.`parseReplacedMethodSubElements(Element beanEle, MethodOverrides overrides)`
Parse replaced-method sub-elements of the given bean element.